PETSc version 3.15.5
Fix/Edit manual page

# DMSetDimension

Set the topological dimension of the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetDimension(DM dm, PetscInt dim)

Collective on dm

### Input Parameters

| dm | - The DM
| dim | - The topological dimension

### See Also

DMGetDimension(), DMCreate()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/tutorials/ex3f90.F90.html
src/dm/tutorials/ex19.c.html
src/dm/tutorials/ex20.c.html
src/dm/tutorials/swarm_ex3.c.html
src/ksp/ksp/tutorials/ex70.c.html
src/ts/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages